yast2 update and rug refresh error with SLES 10 SP 2

We have been experiencing updating problems on SLES 10 SP 2 box and here is the error we got:

ERROR: Failed to download XML metadata: Download failed: (https://nu.novell.com/repo/repoindex.xml) Invalid certificate received form server.

To fix the problem do the following.

Open /etc/zmd/zmd.conf file that will look something like this:

[Advanced]
run-transaction-test=False
security-level=signature

[Server]
bind-ip=127.0.0.1
software-inventory-enabled=False
refresh-interval=86400
remote-enabled=false
require-verified-certs=True
hardware-inventory-enabled=False

[Network]
proxy-url=
proxy-password=
proxy-username=

[Cache]
cache-max-size-in-mb=300

[Debug]
log-soap-xml=False
log-exception-traces=False

and replace

require-verified-certs=True

with

require-verified-certs=False


Leave a Reply